=== debian/changelog ===
swig2.0 (2.0.12-1ubuntu4) xenial; urgency=medium

  * debian/rules: Disable PHP SWIG bindings for PHP7.0 transition
    (LP: #1546823).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 05 Apr 2016 12:01:14 -0700

swig2.0 (2.0.12-1ubuntu3) xenial; urgency=medium

  * debian/control: Remove unversioned packages taken over by newer swig.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 10 Dec 2015 12:05:25 -0700

swig2.0 (2.0.12-1ubuntu2) xenial; urgency=medium

  * Fix upstream issue #539.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Oct 2015 20:46:00 +0200

swig2.0 (2.0.12-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Configure for the Tk 8.5 multiarch installation.
    - Drop libchicken-dev from the build-depends (in universe).
    - Build-depend on python3-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Jun 2014 11:59:10 +0200

swig2.0 (2.0.12-1) unstable; urgency=medium

  * New upstream release 2.0.12.
  * Build with Guile 2.0 (closes: #746016).
  * For some reason, GUILE_CFLAGS is set correctly again (closes: #701865).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 11 May 2014 01:24:34 +0200

swig2.0 (2.0.11-1ubuntu3) utopic; urgency=medium

  * Build with the default Ruby instead of hardcoding ruby1.9.1.
    Closes: #745927.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Apr 2014 13:08:23 +0200

swig2.0 (2.0.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with the default Ruby instead of hardcoding ruby1.9.1.
     (Closes: #745927)

 -- Christian Hofstaedtler <christian@hofstaedtler.name>  Sat, 26 Apr 2014 17:23:59 +0200
